<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/main_layout}">

<head>
    <meta charset="UTF-8">
    <title>Home</title>
</head>
<body>
<div layout:fragment="content" class="container">
    <div class="d-flex flex-wrap">
        <section class="sidebar col-12 col-md-3 col-xl-2">
            <section th:replace="fragments/sidebar_filters :: searchFilters"></section>
        </section>

        <section class="col-12 col-md-9 col-xl-10">
            <section th:if="${searchFilters.isAnyFiltersApplied()}" th:remove="tag">
                <div th:replace="fragments/filter_badges :: searchFilterBadges">search filter badges</div>
            </section>
            
            <h2>Products</h2>
            <div class="products-container">
                <section th:each="product : ${products}" th:remove="tag">
                    <div th:replace="fragments/product_card :: productCard (${product})"></div>
                </section>
            </div>
        </section>
    </div>
</div>
</body>
</html>